## ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(kinova_gen3_6dof_robotiq_2f_85_moveit_config)

find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(FILES .setup_assistant DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config (0.2.2-1jammy) jammy; urgency=high

  * specify planning pipelines to use (#157 <https://github.com/Kinovarobotics/ros2_kortex/issues/157>)
  * Refactor MoveIt Launch files (#162 <https://github.com/Kinovarobotics/ros2_kortex/issues/162>)
  * Contributors: Anthony Baker

 -- Anthony Baker <abake48@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config (0.2.1-1jammy) jammy; urgency=high



 -- Anthony Baker <abake48@gmail.com>  Wed, 26 Jul 2023 04:00:00 -0000

ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config (0.2.0-1jammy) jammy; urgency=high

  * Initial Public ROS 2 release of kinova_gen3_6dof_robotiq_2f_85_moveit_config
  * Make Gripper velocity and force configurable through URDF (#137 <https://github.com/PickNikRobotics/ros2_kortex/issues/137>)
  * Fault and Twist controller from new repo (#143 <https://github.com/PickNikRobotics/ros2_kortex/issues/143>)
  * Update sim.launch.py (#138 <https://github.com/PickNikRobotics/ros2_kortex/issues/138>)
  * add parameter to use sim time to move_group launch (#134 <https://github.com/PickNikRobotics/ros2_kortex/issues/134>)
  * Add moveit config for 6dof gen 3 (#109 <https://github.com/PickNikRobotics/ros2_kortex/issues/109>)
  * Contributors: Alex Moriarty, Anthony Baker

 -- Anthony Baker <abake48@gmail.com>  Mon, 17 Jul 2023 04:00:00 -0000

ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config (0.1.0-1jammy) jammy; urgency=high



 -- Anthony Baker <abake48@gmail.com>  Sun, 12 Sep 2021 04:00:00 -0000

=== debian/control ===
Source: ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config
Section: misc
Priority: optional
Maintainer: Anthony Baker <abake48@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-controller-manager, ros-iron-joint-state-publisher, ros-iron-joint-state-publisher-gui, ros-iron-kortex-description, ros-iron-moveit-configs-utils, ros-iron-moveit-kinematics, ros-iron-moveit-planners, ros-iron-moveit-ros-move-group, ros-iron-moveit-ros-visualization, ros-iron-moveit-ros-warehouse, ros-iron-moveit-setup-assistant, ros-iron-moveit-simple-controller-manager, ros-iron-picknik-reset-fault-controller, ros-iron-picknik-twist-controller, ros-iron-robot-state-publisher, ros-iron-rviz-common, ros-iron-rviz-default-plugins, ros-iron-rviz2, ros-iron-tf2-ros, ros-iron-xacro, ros-iron-ros-workspace
Description: An automatically generated package with all the configuration and launch files for using the gen3 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-kinova-gen3-6dof-robotiq-2f-85-moveit-config//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
